nvme_mi_control(2)

NAME
nvme_mi_control - Perform a Control Primitive command

SYNOPSIS
int nvme_mi_control (nvme_mi_ep_t ep , __u8 opcode , __u16 cpsp , __u16 *result_cpsr );

ARGUMENTS

ep  endpoint for MI communication

opcode
    Control Primitive opcode (using enum nvme_mi_control_opcode)

cpsp
    Control Primitive Specific Parameter

result_cpsr
    Optional field to return the result from the CPSR field

DESCRIPTION
Perform a Control Primitive command, using the opcode specified in opcode Stores the result from the CPSR field in result_cpsr if set.

See: enum nvme_mi_control_opcode

RETURN
0 on success, non-zero on failure